curl --request PATCH \
--url https://api-sandbox.argyle.com/v2/verifications/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"loan": {
"number": "5678",
"borrower_id": "5678",
"application_id": "2121313",
"officer_email": "john.doe@mortgage.com"
},
"billing": {
"cost_center": "new_cost_center"
}
}
'{
"id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
"user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
"created_at": "2023-03-09T16:22:06.081Z",
"updated_at": "2023-03-09T16:22:06.081Z",
"channel": "ncino",
"partner": {
"id": "019a76cd-a572-8a09-c6e4-b0a85e42b10f",
"name": "nCino"
},
"status": {
"state": "PROCESSING",
"code": "authenticated",
"errors": []
},
"report": {
"id": null,
"type": "voie",
"file_url": null,
"json_url": null
},
"employments": [],
"loan": {
"number": "5678",
"borrower_id": "5678",
"application_id": "2121313",
"officer_email": "john.doe@mortgage.com",
"division": "wholesale"
},
"billing": {
"cost_center": "new_cost_center"
},
"data_source": "payroll"
}Verifications
Update a verification
Updates verification metadata or employments.
After a verification is updated, it will re-enter the PROCESSING state.
PATCH
/
v2
/
verifications
/
{id}
curl --request PATCH \
--url https://api-sandbox.argyle.com/v2/verifications/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"loan": {
"number": "5678",
"borrower_id": "5678",
"application_id": "2121313",
"officer_email": "john.doe@mortgage.com"
},
"billing": {
"cost_center": "new_cost_center"
}
}
'{
"id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
"user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
"created_at": "2023-03-09T16:22:06.081Z",
"updated_at": "2023-03-09T16:22:06.081Z",
"channel": "ncino",
"partner": {
"id": "019a76cd-a572-8a09-c6e4-b0a85e42b10f",
"name": "nCino"
},
"status": {
"state": "PROCESSING",
"code": "authenticated",
"errors": []
},
"report": {
"id": null,
"type": "voie",
"file_url": null,
"json_url": null
},
"employments": [],
"loan": {
"number": "5678",
"borrower_id": "5678",
"application_id": "2121313",
"officer_email": "john.doe@mortgage.com",
"division": "wholesale"
},
"billing": {
"cost_center": "new_cost_center"
},
"data_source": "payroll"
}Body
application/json
Request body for updating a verification.
loanandbillingcan be updated for either data source.loan.divisioncannot be changed.employmentscan only be updated when a document verification is in thePAUSEDstate.- Updating
employmentsreplaces the full employments array.